China factories

Multi-Functional LED Table Lamp with Modern Metal Lampshade for Restaurants and Hotels

Price: Negotiation Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL2-T3387
  • Minimum Order Quantity: 1 pcs
  • Delivery Time: Negotiable
  • view more

Home Decor Dimmable Bedside Touch Metal LED Table Lamp Restaurant Bar

Price: Negotiable Get Latest Price
  • Brand Name: QiFan
  • Model Number: CL-10
  • Minimum Order Quantity: 300pcs
  • Delivery Time: 15days
  • view more

Bedside Led Table Lamps Touch Dimming Usb Rechargeable Night Table Lamp For Bar Restaurant

Price: D90*H210 , 1piece, 11.2USD Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B3016
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

36W Novelty Minimalist Art LED Table Lamp Office Hotel Bar Bedroom minimalist table lamp(WH-MTB-90))

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-MTB-90
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Lamp Sizes Middle USB Rechargeable LED Table Lamp for Hotel Guest Room Decoration

Price: $8.60/pieces 500-999 pieces Get Latest Price
  • Brand Name: Sunshining
  • Model Number: SL-T002-B
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: Negotiable
  • view more

Touch Control Led Table Lamp With 6500-8000K Color Temperature 5W Power 10 Bulbs Small Table Lamps

Price: 3.88 Get Latest Price
  • Brand Name: DY
  • Model Number: 006F
  • Minimum Order Quantity: 1 carton
  • Delivery Time: 5days
  • view more

IP20 E27 holder table light led table lamp for led table lamp/indoor floor light for hotel

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: LED-TBL014
  • Minimum Order Quantity: 30PCS
  • Delivery Time: 10-15days
  • view more

Modern LED Table Lamp with Touch Dimming 2700-6000K Color Temperature and Built-in 2000mAh Battery

Price: 8.69usd/piece Get Latest Price
  • Brand Name: OEM
  • Model Number: CR-LTL-001
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: 7-10work days
  • view more

Dimmable LED Table Lamp with 2700K Warm White Light and Remote Control for Mood Lighting

Price: $23.50-29.90 Get Latest Price
  • Brand Name: VALED
  • Model Number: R9
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Retro LED Table Lamp Creative Dimmable Hotel/Study/Bedside Lamp Luxury Hotel Decorative Table Lamp

Price: $16 Get Latest Price
  • Brand Name: JMK
  • Model Number: JMK-G65A
  • Minimum Order Quantity: 100pcs
  • Delivery Time: 3-4Weeks
  • view more

Modern 2700K Warm White LED Table Lamp with E26 Bulb Base and 30000 Hours Lifespan for Bedside Decorative Lighting

Price: €341.66-427.07 Get Latest Price
  • Brand Name: YH
  • Model Number: Negotiable
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Waterproof Outdoor LED Table Lamp IP65 Garden Path Accent Light for Restaurant Terrace

Price: Negotiable Get Latest Price
  • Brand Name: CRANE
  • Model Number: Negotiable
  • Minimum Order Quantity: 1
  • Delivery Time: 3‑7 working days
  • view more

High Power LED Table Lamp for Film Television Dance Photography 95% High Color Rendering Index COB LEDs Aluminum Substrate

Price: Negotiable Get Latest Price
  • Brand Name: Learnew
  • Model Number: Negotiable
  • Minimum Order Quantity: 2000
  • Delivery Time: Negotiable
  • view more

Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: Negotiable
  • view more

European Portable LED Table Lamp Warm Light with Eye Protection for Hotel& Decor

Price: CN¥78.33-83.32 Get Latest Price
  • Brand Name: Sanyata
  • Model Number: Negotiable
  • Minimum Order Quantity: 100
  • Delivery Time: Negotiable
  • view more

Tuya Smart Wifi LED Table Lamps App Voice Control Learning Eye Protection With Google Alexa

Price: US $19.5-20.5/PCS Get Latest Price
  • Brand Name: Glomarket
  • Model Number: LT0338
  • Minimum Order Quantity: 2 PCS
  • Delivery Time: 7-15 work days
  • view more

Eye Caring Desk Lamp 100W Adjustable LED Table Lamp High CRI

Price: Negotiable Get Latest Price
  • Brand Name: Guandi
  • Model Number: SK-HY2100-A2
  • Minimum Order Quantity: 1000 pcs
  • Delivery Time: 10-15 work days
  • view more

12V 24V Led Table Lamp Strip Rope Lights Male to Female Led Dimmer Switch Remote Controller

Price: CN¥9.96/pieces 100-999 pieces Get Latest Price
  • Brand Name: Led dimmer
  • Model Number: Led dimmer
  • Minimum Order Quantity: 100 pieces
  • Delivery Time: Negotiable
  • view more

12V 24V Led Table Lamp Strip Rope Lights Male to Female Led Dimmer Switch Remote Controller

Price: CN¥9.96/pieces 100-999 pieces Get Latest Price
  • Brand Name: Led dimmer
  • Model Number: Led dimmer
  • Minimum Order Quantity: 100 pieces
  • Delivery Time: Negotiable
  • view more